import App from './App'
// import store from './store'
import uView from './uni_modules/vk-uview-ui';
import api from '@/api/api.js';


// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue';
import setupGlobalProperties  from './utils/index.js';
export function createApp() {
  const app = createSSRApp(App)
    // 挂载全局属性和方法
  setupGlobalProperties(app);
  app.config.globalProperties.$api = api;
  app.use(uView);

  // 全局混入分享
  app.mixin({
    onShareAppMessage() {
      const userInfo = uni.getStorageSync('userInfo') || {};
      console.log('分享到朋友圈的 shareId:', userInfo); // 打印 shareId
      const logoName = uni.getStorageSync('logoName') || ''
      console.log('logoName',logoName)
      const logoImage = uni.getStorageSync('logoImage') || ''
      return {
        title: '欢迎体验'+(logoName),
        path: '/pages/index/index?shareId=' + (userInfo.shareId || ''),
        imageUrl: logoImage
      }
    },
    onShareTimeline() {
      const userInfo = uni.getStorageSync('userInfo') || {};
      console.log('分享到朋友圈的 shareId:', userInfo.shareId); // 打印 shareId
      return {
        title: '欢迎体验'+(logoName),
        query: 'shareId=' + (userInfo.shareId || ''),
        imageUrl: logoImage
      }
    }
  });

  return {
    app
  }
}
// #endif